net.sourceforge.pmd.cpd

## Class RubyTokenizer

- java.lang.Object
- - net.sourceforge.pmd.cpd.AbstractTokenizer
  - - net.sourceforge.pmd.cpd.RubyTokenizer

- All Implemented Interfaces:
    Tokenizer

      public class RubyTokenizer
      extends AbstractTokenizer

  BSD-style license; for more info see http://pmd.sourceforge.net/license.html
  Author:
    Zev Blut zb@ubit.com

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.cpd.AbstractTokenizer

      `ignorableCharacter, ignorableStmt, oneLineCommentChar, spanMultipleLinesString, stringToken`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RubyTokenizer()`

  - ### Method Summary

    - ### Methods inherited from class net.sourceforge.pmd.cpd.AbstractTokenizer

      `tokenize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RubyTokenizer

          public RubyTokenizer()

Copyright © 2002-2013 InfoEther. All Rights Reserved.